End of Windows Vista support in GHC-8.6?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

End of Windows Vista support in GHC-8.6?

GHC - devs mailing list

Hi!

Given that Vista’s EOL was in April 2017 i assume that there’s no intention to keep supporting it in GHC-8.6!?

I’m asking because I intend to use a function that requires Windows 7 or newer for #13362.

Ending Vista support would also allow us to remove some workarounds mostly in RTS.

Best,
Simon


_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

Ben Gamari-3
Simon Jakobi via ghc-devs <[hidden email]> writes:

> Hi!
>
> Given that Vista’s EOL was in April 2017
> <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>
> i assume that there’s no intention to keep supporting it in GHC-8.6!?
>
> I’m asking because I intend to use a function
> <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>
> that requires Windows 7 or newer for #13362
> <https://ghc.haskell.org/trac/ghc/ticket/13362>.
>
Given that it's EOL'd, dropping Vista sounds reasonable to me.

Tamar, any objection?

Cheers,

- Ben

_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs

signature.asc (497 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

Phyx


On Mon, Mar 5, 2018, 17:23 Ben Gamari <[hidden email]> wrote:
Simon Jakobi via ghc-devs <[hidden email]> writes:

> Hi!
>
> Given that Vista’s EOL was in April 2017
> <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>
> i assume that there’s no intention to keep supporting it in GHC-8.6!?
>
> I’m asking because I intend to use a function
> <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>
> that requires Windows 7 or newer for #13362
> <https://ghc.haskell.org/trac/ghc/ticket/13362>.
>
Given that it's EOL'd, dropping Vista sounds reasonable to me.

Tamar, any objection?

No objections, however do make sure to test both 32 and 64 bit builds of ghc when you use the API, it's new enough and rare enough that it may not be implemented in both mingw-64 tool chains (we've had similar issues before). 

Thanks, 
Tamar


Cheers,

- Ben

_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

GHC - devs mailing list
Thanks everyone!


Cheers,
Simon

2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:


On Mon, Mar 5, 2018, 17:23 Ben Gamari <[hidden email]> wrote:
Simon Jakobi via ghc-devs <[hidden email]> writes:

> Hi!
>
> Given that Vista’s EOL was in April 2017
> <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>
> i assume that there’s no intention to keep supporting it in GHC-8.6!?
>
> I’m asking because I intend to use a function
> <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>
> that requires Windows 7 or newer for #13362
> <https://ghc.haskell.org/trac/ghc/ticket/13362>.
>
Given that it's EOL'd, dropping Vista sounds reasonable to me.

Tamar, any objection?

No objections, however do make sure to test both 32 and 64 bit builds of ghc when you use the API, it's new enough and rare enough that it may not be implemented in both mingw-64 tool chains (we've had similar issues before). 

Thanks, 
Tamar


Cheers,

- Ben


_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

GHC - devs mailing list
In reply to this post by Phyx
2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:

No objections, however do make sure to test both 32 and 64 bit builds of ghc when you use the API, it's new enough and rare enough that it may not be implemented in both mingw-64 tool chains (we've had similar issues before). 

I've failed repeatedly to do a 32bit build via mingw32 on my 64bit Windows box and I don't have access to a 32bit Windows install.

Is there CI for the 32bit Windows version that I could rely on?

Thanks,
Simon

_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

Phyx
No we have no CI for it. In my experience to get a 32 bit build you need to install the full 32bit msys2. Not just the 32bit compiler in the 64 bit msys2 (two installs can co-exist). 

Alternatively  of you want when your patch is ready ping me (@Mistuke om phabricator) and I'll run a build for you then. 

On Tue, Mar 6, 2018, 18:27 Simon Jakobi <[hidden email]> wrote:
2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:

No objections, however do make sure to test both 32 and 64 bit builds of ghc when you use the API, it's new enough and rare enough that it may not be implemented in both mingw-64 tool chains (we've had similar issues before). 

I've failed repeatedly to do a 32bit build via mingw32 on my 64bit Windows box and I don't have access to a 32bit Windows install.

Is there CI for the 32bit Windows version that I could rely on?

Thanks,
Simon

_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

Mikolaj Konarski-2
On Wed, Mar 7, 2018 at 8:10 AM, Phyx <[hidden email]> wrote:
> In my experience to get a 32 bit build you need to
> install the full 32bit msys2. Not just the 32bit compiler in the 64 bit
> msys2 (two installs can co-exist).

That's also my experience on appveyor (but I'm not compiling GHC itself):

https://github.com/LambdaHack/LambdaHack/blob/master/appveyor.yml#L50

Both versions of msys2 are present and I need to set path to the 32 version
to compile for 32bit. In this way I'm able to generate both 64bit
and 32bit binaries in a single appveyor run.
_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

Phyx
In reply to this post by GHC - devs mailing list
Hi Simon,

Whatever happened to this? The wiki was updated but I don't see a commit actually removing vista support.

Did you end up not doing this anymore?

Thanks,
Tamar

On Mon, Mar 5, 2018 at 7:21 PM, Simon Jakobi <[hidden email]> wrote:
Thanks everyone!


Cheers,
Simon

2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:


On Mon, Mar 5, 2018, 17:23 Ben Gamari <[hidden email]> wrote:
Simon Jakobi via ghc-devs <[hidden email]> writes:

> Hi!
>
> Given that Vista’s EOL was in April 2017
> <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>
> i assume that there’s no intention to keep supporting it in GHC-8.6!?
>
> I’m asking because I intend to use a function
> <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>
> that requires Windows 7 or newer for #13362
> <https://ghc.haskell.org/trac/ghc/ticket/13362>.
>
Given that it's EOL'd, dropping Vista sounds reasonable to me.

Tamar, any objection?

No objections, however do make sure to test both 32 and 64 bit builds of ghc when you use the API, it's new enough and rare enough that it may not be implemented in both mingw-64 tool chains (we've had similar issues before). 

Thanks, 
Tamar


Cheers,

- Ben



_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

GHC - devs mailing list
Thanks for the reminder, Tamar!

I have just created https://phabricator.haskell.org/D4679. I would be
very grateful if you could test it on 32bit Windows.

Cheers,
Simon

2018-05-05 12:07 GMT+02:00 Phyx <[hidden email]>:

> Hi Simon,
>
> Whatever happened to this? The wiki was updated but I don't see a commit
> actually removing vista support.
>
> Did you end up not doing this anymore?
>
> Thanks,
> Tamar
>
> On Mon, Mar 5, 2018 at 7:21 PM, Simon Jakobi <[hidden email]>
> wrote:
>>
>> Thanks everyone!
>>
>> I have updated https://ghc.haskell.org/trac/ghc/wiki/Platforms/Windows
>> accordingly.
>>
>> Cheers,
>> Simon
>>
>> 2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:
>>>
>>>
>>>
>>> On Mon, Mar 5, 2018, 17:23 Ben Gamari <[hidden email]> wrote:
>>>>
>>>> Simon Jakobi via ghc-devs <[hidden email]> writes:
>>>>
>>>> > Hi!
>>>> >
>>>> > Given that Vista’s EOL was in April 2017
>>>> >
>>>> > <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>
>>>> > i assume that there’s no intention to keep supporting it in GHC-8.6!?
>>>> >
>>>> > I’m asking because I intend to use a function
>>>> >
>>>> > <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>
>>>> > that requires Windows 7 or newer for #13362
>>>> > <https://ghc.haskell.org/trac/ghc/ticket/13362>.
>>>> >
>>>> Given that it's EOL'd, dropping Vista sounds reasonable to me.
>>>>
>>>> Tamar, any objection?
>>>
>>>
>>> No objections, however do make sure to test both 32 and 64 bit builds of
>>> ghc when you use the API, it's new enough and rare enough that it may not be
>>> implemented in both mingw-64 tool chains (we've had similar issues before).
>>>
>>> Thanks,
>>> Tamar
>>>
>>>>
>>>> Cheers,
>>>>
>>>> - Ben
>>
>>
>
_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

RE: End of Windows Vista support in GHC-8.6?

Phyx

I’ve started a build, note that you will also need a PR to Hadrian to update WINVER.

 

From: [hidden email]
Sent: Wednesday, May 9, 2018 09:49
To: [hidden email]
Cc: [hidden email]; [hidden email]
Subject: Re: End of Windows Vista support in GHC-8.6?

 

Thanks for the reminder, Tamar!

 

I have just created https://phabricator.haskell.org/D4679. I would be

very grateful if you could test it on 32bit Windows.

 

Cheers,

Simon

 

2018-05-05 12:07 GMT+02:00 Phyx <[hidden email]>:

> Hi Simon,

> 

> Whatever happened to this? The wiki was updated but I don't see a commit

> actually removing vista support.

> 

> Did you end up not doing this anymore?

> 

> Thanks,

> Tamar

> 

> On Mon, Mar 5, 2018 at 7:21 PM, Simon Jakobi <[hidden email]>

> wrote:

>> 

>> Thanks everyone!

>> 

>> I have updated https://ghc.haskell.org/trac/ghc/wiki/Platforms/Windows

>> accordingly.

>> 

>> Cheers,

>> Simon

>> 

>> 2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:

>>> 

>>> 

>>> 

>>> On Mon, Mar 5, 2018, 17:23 Ben Gamari <[hidden email]> wrote:

>>>> 

>>>> Simon Jakobi via ghc-devs <[hidden email]> writes:

>>>> 

>>>> > Hi!

>>>> >

>>>> > Given that Vista’s EOL was in April 2017

>>>> >

>>>> > <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>

>>>> > i assume that there’s no intention to keep supporting it in GHC-8.6!?

>>>> >

>>>> > I’m asking because I intend to use a function

>>>> >

>>>> > <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>

>>>> > that requires Windows 7 or newer for #13362

>>>> > <https://ghc.haskell.org/trac/ghc/ticket/13362>.

>>>> >

>>>> Given that it's EOL'd, dropping Vista sounds reasonable to me.

>>>> 

>>>> Tamar, any objection?

>>> 

>>> 

>>> No objections, however do make sure to test both 32 and 64 bit builds of

>>> ghc when you use the API, it's new enough and rare enough that it may not be

>>> implemented in both mingw-64 tool chains (we've had similar issues before).

>>> 

>>> Thanks,

>>> Tamar

>>> 

>>>> 

>>>> Cheers,

>>>> 

>>>> - Ben

>> 

>> 

> 

 


_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
Reply | Threaded
Open this post in threaded view
|

Re: End of Windows Vista support in GHC-8.6?

GHC - devs mailing list
Thanks a lot, Tamar! I'll make the PR for Hadrian once my patch is accepted.

2018-05-09 20:12 GMT+02:00  <[hidden email]>:

> I’ve started a build, note that you will also need a PR to Hadrian to update
> WINVER.
>
>
>
> From: Simon Jakobi
> Sent: Wednesday, May 9, 2018 09:49
> To: Phyx
> Cc: Ben Gamari; [hidden email] Devs
> Subject: Re: End of Windows Vista support in GHC-8.6?
>
>
>
> Thanks for the reminder, Tamar!
>
>
>
> I have just created https://phabricator.haskell.org/D4679. I would be
>
> very grateful if you could test it on 32bit Windows.
>
>
>
> Cheers,
>
> Simon
>
>
>
> 2018-05-05 12:07 GMT+02:00 Phyx <[hidden email]>:
>
>> Hi Simon,
>
>>
>
>> Whatever happened to this? The wiki was updated but I don't see a commit
>
>> actually removing vista support.
>
>>
>
>> Did you end up not doing this anymore?
>
>>
>
>> Thanks,
>
>> Tamar
>
>>
>
>> On Mon, Mar 5, 2018 at 7:21 PM, Simon Jakobi <[hidden email]>
>
>> wrote:
>
>>>
>
>>> Thanks everyone!
>
>>>
>
>>> I have updated https://ghc.haskell.org/trac/ghc/wiki/Platforms/Windows
>
>>> accordingly.
>
>>>
>
>>> Cheers,
>
>>> Simon
>
>>>
>
>>> 2018-03-05 18:29 GMT+01:00 Phyx <[hidden email]>:
>
>>>>
>
>>>>
>
>>>>
>
>>>> On Mon, Mar 5, 2018, 17:23 Ben Gamari <[hidden email]> wrote:
>
>>>>>
>
>>>>> Simon Jakobi via ghc-devs <[hidden email]> writes:
>
>>>>>
>
>>>>> > Hi!
>
>>>>> >
>
>>>>> > Given that Vista’s EOL was in April 2017
>
>>>>> >
>
>>>>> >
>>>>> > <https://support.microsoft.com/en-us/help/22882/windows-vista-end-of-support>
>
>>>>> > i assume that there’s no intention to keep supporting it in GHC-8.6!?
>
>>>>> >
>
>>>>> > I’m asking because I intend to use a function
>
>>>>> >
>
>>>>> >
>>>>> > <https://msdn.microsoft.com/en-us/library/windows/desktop/dd405488.aspx>
>
>>>>> > that requires Windows 7 or newer for #13362
>
>>>>> > <https://ghc.haskell.org/trac/ghc/ticket/13362>.
>
>>>>> >
>
>>>>> Given that it's EOL'd, dropping Vista sounds reasonable to me.
>
>>>>>
>
>>>>> Tamar, any objection?
>
>>>>
>
>>>>
>
>>>> No objections, however do make sure to test both 32 and 64 bit builds of
>
>>>> ghc when you use the API, it's new enough and rare enough that it may
>>>> not be
>
>>>> implemented in both mingw-64 tool chains (we've had similar issues
>>>> before).
>
>>>>
>
>>>> Thanks,
>
>>>> Tamar
>
>>>>
>
>>>>>
>
>>>>> Cheers,
>
>>>>>
>
>>>>> - Ben
>
>>>
>
>>>
>
>>
>
>
_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs